VERSION 4.00
Begin VB.MDIForm frmMain 
   Appearance      =   0  'Flat
   BackColor       =   &H8000000C&
   Caption         =   "AddFlow ActiveX Demonstration"
   ClientHeight    =   5040
   ClientLeft      =   960
   ClientTop       =   1470
   ClientWidth     =   8460
   Height          =   5730
   Icon            =   "Main.frx":0000
   Left            =   900
   LinkTopic       =   "Main"
   Top             =   840
   Width           =   8580
   Begin VB.PictureBox PictureComments 
      Align           =   1  'Align Top
      BackColor       =   &H00C0C0C0&
      FillColor       =   &H00C0C0C0&
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1215
      Left            =   0
      ScaleHeight     =   1155
      ScaleWidth      =   8400
      TabIndex        =   0
      Top             =   0
      Width           =   8460
      Begin VB.TextBox Text1 
         Height          =   1035
         Left            =   90
         MultiLine       =   -1  'True
         TabIndex        =   1
         Top             =   60
         Width           =   6705
      End
   End
   Begin VB.Menu FileMenu 
      Caption         =   "&File"
      Begin VB.Menu PrintformMenu 
         Caption         =   "&Print form"
      End
      Begin VB.Menu Exitmenu 
         Caption         =   "&Exit"
      End
   End
   Begin VB.Menu EditMenu 
      Caption         =   "&Edit"
      Begin VB.Menu CopyMenu 
         Caption         =   "&Copy to clipboard"
      End
      Begin VB.Menu DeleteMenu 
         Caption         =   "&Delete selected items"
      End
      Begin VB.Menu SEPARATOR1 
         Caption         =   "-"
      End
      Begin VB.Menu SelectAllMenu 
         Caption         =   "Select &all"
      End
      Begin VB.Menu SEPARATOR3 
         Caption         =   "-"
      End
      Begin VB.Menu SelectModeMenu 
         Caption         =   "Select &Mode"
      End
      Begin VB.Menu SEPARATOR5 
         Caption         =   "-"
      End
      Begin VB.Menu ZOrderMenu 
         Caption         =   "&ZOrder"
         Begin VB.Menu BackMenu 
            Caption         =   "&Back"
         End
         Begin VB.Menu ForeMenu 
            Caption         =   "&Fore"
         End
      End
   End
   Begin VB.Menu ShowMenu 
      Caption         =   "&Show"
      Begin VB.Menu ShowExample 
         Caption         =   "&WorkFlow"
         Index           =   0
      End
      Begin VB.Menu ShowExample 
         Caption         =   "&NetWork"
         Index           =   1
      End
      Begin VB.Menu ShowExample 
         Caption         =   "&Diagram"
         Index           =   2
      End
      Begin VB.Menu ShowExample 
         Caption         =   "&FlowChart"
         Index           =   3
      End
      Begin VB.Menu SEPARATOR 
         Caption         =   "-"
      End
      Begin VB.Menu CommentsMenu 
         Caption         =   "&Comments"
      End
   End
   Begin VB.Menu ZoomMenu 
      Caption         =   "&Zoom"
      Begin VB.Menu ZoomValueMenu 
         Caption         =   "&100% (Normal)"
         Index           =   0
      End
      Begin VB.Menu ZoomValueMenu 
         Caption         =   "&200%"
         Index           =   1
      End
      Begin VB.Menu ZoomValueMenu 
         Caption         =   "&50%"
         Index           =   2
      End
      Begin VB.Menu ZoomValueMenu 
         Caption         =   "0% (Fit in Window)"
         Index           =   3
      End
   End
   Begin VB.Menu CapabilitiesMenu 
      Caption         =   "&Capabilities"
      Begin VB.Menu MultiSelectionMenu 
         Caption         =   "Multi &Selection"
      End
      Begin VB.Menu ReadOnlyMenu 
         Caption         =   "&Read Only"
      End
      Begin VB.Menu CanSizeNodeMenu 
         Caption         =   "Can Si&ze node"
      End
      Begin VB.Menu CanMoveNodemenu 
         Caption         =   "Can &Move node"
      End
      Begin VB.Menu CanStretchLinkMenu 
         Caption         =   "Can S&tretch link"
      End
      Begin VB.Menu CanMultiLinkMenu 
         Caption         =   "Can M&ulti link"
      End
      Begin VB.Menu CanDrawNodeMenu 
         Caption         =   "Can Draw &Node"
      End
      Begin VB.Menu CanDrawLinkMenu 
         Caption         =   "Can Draw &Link"
      End
      Begin VB.Menu AutoScrollMenu 
         Caption         =   "&AutoScroll"
      End
      Begin VB.Menu DisplayHandlesMenu 
         Caption         =   "&Display Handles"
      End
   End
   Begin VB.Menu WindowMenu 
      Caption         =   "&Window"
      WindowList      =   -1  'True
      Begin VB.Menu CascadeMenu 
         Caption         =   "&Cascade"
      End
      Begin VB.Menu TileMenu 
         Caption         =   "&Tile"
      End
      Begin VB.Menu ReorganizeMenu 
         Caption         =   "&Reorganize"
      End
   End
   Begin VB.Menu InfoMenu 
      Caption         =   "&Info"
      Begin VB.Menu AboutMenu 
         Caption         =   "&About..."
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Const CASCADE = 0
Const MOZAIQUE_HORIZONTALE = 1
Const MOZAIQUE_VERTICALE = 2
Const REORGANISER_ICONES = 3

Const INFO11 = " In this example, the purpose is to associate actors (Transparent blue nodes) to task items (yellow nodes). "
Const INFO12 = " You can't change the process diagram. You can only move and resize nodes or stretch links. This limitation is added here in order to demonstrate how easy it is to customize your application."
Const INFO13 = " Therefore, you may create new actor node or change actor names by double-clicking over actor node and you may also create links between actor nodes and task nodes (Ex.: Jane - Order Entry). A dialog box is displayed when The DBLCLICK event is received."
Const INFO14 = " Note that when mouse is over a sizing square, the mouse pointer is changing, depending on its position. (See PointedArea property in the help file)"

Const INFO21 = " Double-click on an item (node or link) and you'll be able to change the properties of this item. "
Const INFO22 = " The long flat node (which symbolizes the local network) owns 5 little nodes implementing stubs. INTERNET node own all nodes inside itself (same with the INTRANET node). "
Const INFO23 = " See Owner property in order to know how to create ownership between nodes. "

Const INFO31 = " Here, you have a way to combine the node and link add into a single step. "
Const INFO32 = " You bring the mouse cursor into the handle at the center of the selected node, press the left button, move the mouse where you want but not over a node. Then you release the left button and you'll see that a node and a link are created together."
Const INFO33 = " Note also that when you create a node with the mouse, there is a mimimal node size (See Nodes.Add event in the help file to see how to do that)."
Const INFO34 = " Note that when mouse is over a sizing square, the mouse pointer is changing, depending on its position. (See PointedArea property in the help file)"

Const INFO41 = " In this example, node sizes are adjusted to picture sizes (See property AutoSize). In such a case, text is displayed inside picture."
Const INFO42 = " Therefore, you can't change node size unless you change AutoSize property"

Sub CheckZoomMenu()
  Dim Zoom%, i%

  Zoom = ActiveForm.AddFlow1.xZoom

  Select Case Zoom
  Case 100
    i = 0
  Case 200
    i = 1
  Case 50
    i = 2
  Case 0
    i = 3
  End Select

  ZoomValueMenu(i).Checked = True
End Sub '
Sub ActivateForm()
  CheckZoomMenu

  With ActiveForm.AddFlow1
    ReadOnlyMenu.Checked = .ReadOnly
    MultiSelectionMenu.Checked = .MultiSel
    CanSizeNodeMenu.Checked = .CanSizeNode
    CanMoveNodemenu.Checked = .CanMoveNode
    CanStretchLinkMenu.Checked = .CanStretchLink
    CanMultiLinkMenu.Checked = .CanMultiLink
    CanDrawNodeMenu.Checked = .CanDrawNode
    CanDrawLinkMenu.Checked = .CanDrawLink
    AutoScrollMenu.Checked = .AutoScroll
  End With
  
  Dim crlf$
  crlf = Chr$(13) + Chr$(10)
  Select Case ActiveForm.Tag
  Case 1
    Text1.Text = INFO11 + crlf + INFO12 + crlf + INFO13 + crlf + INFO14
  Case 2
    Text1.Text = INFO21 + crlf + INFO22 + crlf + INFO23
  Case 3
    Text1.Text = INFO31 + crlf + INFO32 + crlf + INFO33 + crlf + INFO34
  Case 4
    Text1.Text = INFO41 + crlf + INFO42
  End Select
End Sub

Sub DeactivateForm()
  With Me
    Dim i%
    For i = 0 To 3
      .ZoomValueMenu(i).Checked = False
    Next
    .ReadOnlyMenu.Checked = False
    .MultiSelectionMenu.Checked = False
    .CanSizeNodeMenu.Checked = False
    .CanMoveNodemenu.Checked = False
    .CanStretchLinkMenu.Checked = False
    .CanMultiLinkMenu.Checked = False
    .CanDrawNodeMenu.Checked = False
    .CanDrawLinkMenu.Checked = False
    .AutoScrollMenu.Checked = False
  End With
End Sub
Private Sub AboutMenu_Click()
  MsgBox "AddFlow demonstration" + Chr(13) + "Copyright  1997 Lassalle Technologies"
End Sub

Private Sub AutoScrollMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.AutoScroll = Not ActiveForm.AddFlow1.AutoScroll
  AutoScrollMenu.Checked = ActiveForm.AddFlow1.AutoScroll
End Sub

Private Sub BackMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub

  If ActiveForm.AddFlow1.SelectedNode Is Nothing And ActiveForm.AddFlow1.SelectedLink Is Nothing Then
    ' Nothing to do
  ElseIf ActiveForm.AddFlow1.SelectedNode Is Nothing Then
    ActiveForm.AddFlow1.SelectedLink.ZOrder = True
  Else
    ActiveForm.AddFlow1.SelectedNode.ZOrder = True
  End If
End Sub

Private Sub CanDrawLinkMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.CanDrawLink = Not ActiveForm.AddFlow1.CanDrawLink
  CanDrawLinkMenu.Checked = ActiveForm.AddFlow1.CanDrawLink
  ActiveForm.AddFlow1.Refresh
End Sub

Private Sub CanDrawNodeMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.CanDrawNode = Not ActiveForm.AddFlow1.CanDrawNode
  CanDrawNodeMenu.Checked = ActiveForm.AddFlow1.CanDrawNode
End Sub

Private Sub CanMoveNodemenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.CanMoveNode = Not ActiveForm.AddFlow1.CanMoveNode
  CanMoveNodemenu.Checked = ActiveForm.AddFlow1.CanMoveNode
End Sub

Private Sub CanMultiLinkMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.CanMultiLink = Not ActiveForm.AddFlow1.CanMultiLink
  CanMultiLinkMenu.Checked = ActiveForm.AddFlow1.CanMultiLink
End Sub

Private Sub CanSizeNodeMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.CanSizeNode = Not ActiveForm.AddFlow1.CanSizeNode
  CanSizeNodeMenu.Checked = ActiveForm.AddFlow1.CanSizeNode
  ActiveForm.AddFlow1.Refresh
End Sub

Private Sub CanStretchLinkMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.CanStretchLink = Not ActiveForm.AddFlow1.CanStretchLink
  CanStretchLinkMenu.Checked = ActiveForm.AddFlow1.CanStretchLink
  ActiveForm.AddFlow1.Refresh
End Sub

Private Sub CascadeMenu_Click()
  Arrange CASCADE
End Sub





Private Sub CommentsMenu_Click()
  PictureComments.Visible = Not PictureComments.Visible
End Sub

Private Sub CopyMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.SaveImage 1, 0, ""
End Sub

Private Sub DeleteMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.DeleteSel
End Sub

Private Sub DisplayHandlesMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.DisplayHandles = Not ActiveForm.AddFlow1.DisplayHandles
  DisplayHandlesMenu.Checked = ActiveForm.AddFlow1.DisplayHandles
  ActiveForm.AddFlow1.Refresh
End Sub

Private Sub Exitmenu_Click()
  Unload Me
End Sub



Private Sub ForeMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub

  If ActiveForm.AddFlow1.SelectedNode Is Nothing And ActiveForm.AddFlow1.SelectedLink Is Nothing Then
    ' Nothing to do
  ElseIf ActiveForm.AddFlow1.SelectedNode Is Nothing Then
    ActiveForm.AddFlow1.SelectedLink.ZOrder = False
  Else
    ActiveForm.AddFlow1.SelectedNode.ZOrder = False
  End If
End Sub

Private Sub MDIForm_Load()
  Me.WindowState = 2
  frmWorkflow.Show
  frmNetwork.Show
  frmDiagram.Show
  frmFlowchar.Show
  TileMenu_Click
End Sub

Private Sub MultiSelectionMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.MultiSel = Not ActiveForm.AddFlow1.MultiSel
  MultiSelectionMenu.Checked = ActiveForm.AddFlow1.MultiSel
End Sub

Private Sub PrintformMenu_Click()
  ActiveForm.PrintForm
End Sub

Private Sub ReadOnlyMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.ReadOnly = Not ActiveForm.AddFlow1.ReadOnly
  ReadOnlyMenu.Checked = ActiveForm.AddFlow1.ReadOnly
  ActiveForm.AddFlow1.Refresh
End Sub

Private Sub ReorganizeMenu_Click()
  Arrange REORGANISER_ICONES
End Sub

Private Sub SelectAllMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.SelectAll
End Sub

Private Sub SelectModeMenu_Click()
  If ActiveForm Is Nothing Then Exit Sub
  ActiveForm.AddFlow1.SelectMode = Not ActiveForm.AddFlow1.SelectMode
  If ActiveForm.AddFlow1.SelectMode = True Then
    SelectModeMenu.Checked = True
    ActiveForm.AddFlow1.MousePointer = 2
  Else
    SelectModeMenu.Checked = False
    ActiveForm.AddFlow1.MousePointer = 0
  End If
End Sub

Private Sub ShowExample_Click(Index As Integer)
  Select Case Index
  Case 0
    frmWorkflow.Show
  Case 1
    frmNetwork.Show
  Case 2
    frmDiagram.Show
  Case 3
    frmFlowchar.Show
  End Select
End Sub

Private Sub TileMenu_Click()
  Arrange MOZAIQUE_HORIZONTALE
End Sub

Private Sub ZoomValueMenu_Click(Index As Integer)
  Dim Zoom%, i%

  If ActiveForm Is Nothing Then Exit Sub

  For i = 0 To 3
    ZoomValueMenu(i).Checked = False
  Next

  Select Case Index
  Case 0
    Zoom = 100
  Case 1
    Zoom = 120 '200
  Case 2
    Zoom = 75 '50
  Case 3
    Zoom = 0
  End Select

  ZoomValueMenu(Index).Checked = True
  ActiveForm.AddFlow1.xZoom = Zoom
  ActiveForm.AddFlow1.yZoom = Zoom
End Sub

